#ifndef GSPINNER_H
#define GSPINNER_H

#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <string.h>
#include <time.h>
#include <errno.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <gtk/gtk.h>
#include <pthread.h>
#include <sys/signal.h>

#define VERSION		"1.0"
#define versionString 	"2.0.0.spinlite.0"
/* the following definitions are used in sscanf() */
#define artist_format	"<table width=\"200\" border=0 cellpadding=\"0\" cellspacing=\"0\" align=\"center\"><tr><td align=\"right\" valign=\"top\"><span class=\"datagrey\">artist:</span><img src=\"/grx/transparency.gif\" border=0 width=\"2\" height=\"2\"></td><td align=\"left\" width=\"180\" class=\"data\"><span class=\"data\">%128c</span></td></tr>\r\n"
#define song_format	"<tr><td align=\"right\" valign=\"top\"><span class=\"datagrey\">song:</span><img src=\"/grx/transparency.gif\" border=0 width=\"2\" height=\"2\"></td><td align=\"left\" width=\"180\" class=\"data\"><span class=\"data\">%128c</span></td></tr>\r\n"
#define album_format	"<tr><td align=\"right\" valign=\"top\"><span class=\"datagrey\">album:</span><img src=\"/grx/transparency.gif\" border=0 width=\"2\" height=\"2\"></td><td align=\"left\" width=\"180\" class=\"data\"> <span class=\"data\">%128c</span></td></tr>\r\n"
#define rurl_format	"<embed type=\"audio/x-pn-realaudio-plugin\" src=\"/gateway/rpm.jhtml?url_mime_type=rtsp%%3A%%2F%%2Fg2rr.spinner.com%%2Fspinlinks%%2F%128c%%3Fstart%%3D%%220%%3A00%%22\" console=\"Spinner\" autostart=\"True\" width=\"38\" height=\"15\" controls=\"VolumeSlider\" name=\"thePlugin\" valign=\"bottom\" vspace=\"2\" >\r\n"
#define spinner_format	"%s -q -O %s/.gspinner \"http://spinner.com/user.dyn?command=setcurrentchannel&page=/prplayer/prplayer.jhtml%%3Fcmd%d=dummy%%26version=%s&time=%d&id=%d&version=%s\""
#define trplayer_format	"%s -n -q \"rtsp://g2rr.spinner.com/spinlinks/%s\""

/* for Channel mangement */
typedef struct _genre
{
	char *name;
	GList *channels;
	GtkWidget *item;
	GtkWidget *menu;
} Genre;

typedef struct _channel
{
	char *name;
	int id;
	GtkWidget *item;
} Channel;

extern char **environ;

#endif /* GSPINNER_H */
